computers.deleteComputer
DELETE
/v1/computers/{computerId}
Deletes a Computer, its sandbox at the provider, and the rights of all Bots to use it. The files are gone. For a connector Computer, the connector is disconnected.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”computerId
required
string
Responses
Section titled “Responses”ComputerInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}PermissionDenied | MembershipRequired | ForbiddenOrigin
ComputerNotFound | ComputerProviderNotFound | PairingInvalid
ComputerConflict | ComputerUnsupported | ComputerNotReady
RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}ComputerProviderFailed
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "ComputerProviderFailed"}AuthorizationUnavailable | ComputersUnavailable | AuthenticationUnavailable